//
//  UIView+Extension.m
//  yjcun
//
//  Created by linjiangfeng on 15/9/23.
//  Copyright (c) 2015年 linjiangfeng. All rights reserved.
//

#import "UIView+Extension.h"


@implementation UIView (Extension)



-(void)setSize_width:(int)size_width
{
    self.frame = CGRectMake(CGRectGetMinX(self.frame), CGRectGetMinY(self.frame),size_width , CGRectGetHeight(self.frame));
}
-(int)size_width
{
    return self.frame.size.width;
}

-(void)setSize_height:(int)size_height
{
    self.frame = CGRectMake(CGRectGetMinX(self.frame), CGRectGetMinY(self.frame),CGRectGetWidth(self.frame) , size_height);
}
-(int)size_height
{
    return self.frame.size.height;
}

-(void)setOrigin_x:(int)origin_x
{
    self.frame = CGRectMake(origin_x, CGRectGetMinY(self.frame),CGRectGetWidth(self.frame)  , CGRectGetHeight(self.frame));
}
-(int)origin_x
{
    return self.frame.origin.x;
}

-(void)setOrigin_y:(int)origin_y
{
    self.frame = CGRectMake(CGRectGetMinX(self.frame), origin_y,CGRectGetWidth(self.frame)  , CGRectGetHeight(self.frame));
}
-(int)origin_y
{
    return self.frame.origin.y;
}


@end
